<?php
session_start();/**************************************************صفحة تحميل المزيد من الاسئلة*******************************************************************/

// ضبط اعدادات اللغة العربية للصفحة 
header("content-type:text/html;charset=utf-8"); 

//استدعاء ملف الاعدادات
$conc_type='cp_exec_conc';
include '../conf.php';
include '../conf_sub.php';
//استدعاء ملف الاتصال بقاعدة البيانات
//include $cp_exec_conc;


//ايقاف التنفيذ فى حالة عدم تسجيل الدخول
if(!isset($_SESSION[$domain.'_user']) || $_SESSION[$domain.'_user']==""){die;}


//ضمان توافق قاعدة البيانات مع اللغة العربية
mysqli_query($conn,"SET NAMES 'utf8'");
mysqli_query($conn,'SET CHARACTER SET utf8');
mysqli_query($conn,"SET character_set_client=utf8");
mysqli_query($conn,"SET character_set_connection=utf8");
mysqli_query($conn,"SET character_set_database=utf8");
mysqli_query($conn,"SET character_set_results=utf8");
mysqli_query($conn,"SET character_set_server=utf8");
mysqli_query($conn," set character_set_server='utf8'"); 
include("fetch_array_search.php");

//استدعاء ملف معالجة الحقن
include("../injection.php");

// معالجة حقن المتغيرات
injection($_POST['table']);
is_num($_POST['start']);
is_num($_POST['end']);
injection($_POST['search']);
is_num($_POST['num_rows']);


/*  اسم الجدول وبداية الكويرى */  
$table=$_POST['table'];

//رقم سحل البداية
$start=$_POST['start'];

//رقم سحل النهاية
$end=$_POST['end'];

// عدد الصفوف المستدعاة

//تحديد عدد الصفوف
$num_rows=$_POST['num_rows'];
// كلمة البحث
$search=$_POST['search'];







?>	
<div id="load_wait"></div>
<div id="result_view">
<table   cellpadding="0" cellspacing="0" width="988"  dir="rtl"  style="border-left:solid 1px #ccc" >
<tr class='first_table_tr'>
<td align="center" width='20'>الصورة</td>
<td align="center">السؤال</td>
<td  align="center">الاولوية</td>
<td width="15" align="center">تعديل</td>
<td width="15" align="center">تفاصيل</td>	
<td width="15" align="center">حذف</td>	
</tr>		
	
	
<?php
$rows_num=0;

$search_item='';
if($_SESSION['lang_en']==0){$search_item='ques';}else{$search_item='ques_en';}


//بداية الاستعلام
$query="select * from $table where $search_item like '%$search%' order by `priority` desc , `sort` desc , id desc  limit $start,$num_rows";

//تنفيذ الاستعلام
$result=mysqli_query($conn,$query);
$rows_num=mysqli_num_rows($result);

   /*بداية التكرار */  
 while($fetch = mysqli_fetch_array($result)) {
   		 $fetch = clean_array($fetch);
echo"<tr tr_id='$fetch[id]' priority='$fetch[priority]' arrang='$fetch[sort]' id='tr$fetch[id]' class='table_tr'>";
echo"<td align='center'><img loading='lazy' class='view_image' width='25' height='25'  src='../<?php echo $img_path; ?>partners/img$fetch[id]_tiny.jpg?=". time() ."'</td>";
echo"<td><div>$fetch[title]</div></td>";


echo"<td align='center'><a class='priority_multi' alt='$fetch[id]'>";
if($fetch['priority']=='1'){
echo"<img loading='lazy' id='active_priority$fetch[id]' class='active_priority' src='../img/priority.png'></td>";	
}else{
echo"<img loading='lazy' id='active_priority$fetch[id]' class='active_priority' src='../img/not_priority.png'></td>";		
}

if(isset($_GET['arrang'])){
echo"<td align='center'>";
?>
<div tr_id="<?php echo $fetch['id']?>" arrang="<?php echo $fetch['sort']?>" priority="<?php echo $fetch['priority']?>" class="up_arrow"></div>
<div tr_id="<?php echo $fetch['id']?>" arrang="<?php echo $fetch['sort']?>" priority="<?php echo $fetch['priority']?>" class="down_arrow"></div>

<?php
echo"</td>"; }


echo"<td align='center'><a class='edit_news' alt'$fetch[id]' href='edit_image.php?id=$fetch[id]'><img loading='lazy' a src='../img/edit.png'></td>";
echo"<td align='center'><a table='$table' class='show_details' created='$fetch[created]' modified='$fetch[modified]' user_created='$fetch[user_created]' user_modified='$fetch[user_modified]'  alt='$fetch[id]'><img loading='lazy' src='../img/details.png'></td>";

echo"<td align='center'><a class='delete' alt='$fetch[id]'><img loading='lazy' src='../img/delete.png'></td>";
echo"</tr>";
}	
?>
</table>
</div>
		


